# Mantis AI Documentation

This directory contains comprehensive documentation for the Mantis AI library.

> Developed by [Paul Elliot](mailto:paul@paulelliot.co)

## Documentation Structure

- [**index.md**](index.md): Main documentation page with an overview of Mantis AI
- [**installation.md**](installation.md): Installation guide and setup instructions
- [**quickstart.md**](quickstart.md): Quick start guide with basic examples
- [**concepts.md**](concepts.md): Core concepts and architecture explanation
- [**api-reference.md**](api-reference.md): Detailed API reference for all functions and parameters
- [**use-cases/**](use-cases/): Directory containing detailed use case examples
  - [**index.md**](use-cases/index.md): Overview of use cases
  - [**meetings.md**](use-cases/meetings.md): Meeting transcription and analysis
  - (Additional use cases to be added)
- [**images/**](images/): Directory containing diagrams and images for documentation

## Building the Documentation

The documentation is written in Markdown and can be built into a static site using tools like [MkDocs](https://www.mkdocs.org/) or [Sphinx](https://www.sphinx-doc.org/).

### Using MkDocs

1. Install MkDocs:
   ```bash
   pip install mkdocs mkdocs-material
   ```

2. Build the documentation:
   ```bash
   mkdocs build
   ```

3. Serve the documentation locally:
   ```bash
   mkdocs serve
   ```

## Contributing to Documentation

We welcome contributions to improve the documentation! Here's how you can help:

1. Fix typos or clarify existing content
2. Add more examples to existing pages
3. Create new use case examples
4. Improve diagrams and visual aids

Please submit a pull request with your changes.

---

For questions or support, contact Paul Elliot at [paul@paulelliot.co](mailto:paul@paulelliot.co) 